Bug 961594 - Organizations: field when editing an org description allows more text to be entered than is allowed.
Organizations: field when editing an org description allows more text to be e...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 23:07 EDT by Corey Welton
Modified: 2014-04-24 13:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-05-09 23:07:03 EDT
Description of problem:
When editing the description of an Org, user can enter long descriptions in the field which outrun the max length set in db.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Organizations > ACME_Corporation 
2.  Attempt to edit the description of this org, using the following value:
"This is a very long description.  This is a very long description.  This is a very long description.  This is a very long description.  This is a very long description.  This is a very long description.  This is a very long description.  This is a very long description.  "
3. Save
  
Actual results:
"Validation Failed:
Description cannot contain more than 255 characters"

description is not saved.

Expected results:
User should not be able to enter more data than is allowed by the db.

Additional info:
Comment 1 manjiri tapaswi 2013-06-05 11:41:45 EDT
Set maxlength to restrict data entered in org description textarea as defined in the db

https://github.com/Katello/katello/pull/2429

Added support for maxlength attribute for jeditable textarea 

https://github.com/ui-alchemy/ui_alchemy-rails/pull/160
Comment 2 manjiri tapaswi 2013-06-05 17:03:46 EDT
updated PR: https://github.com/Katello/katello/pull/2432
Comment 4 manjiri tapaswi 2013-06-13 13:55:19 EDT
Latest PR: https://github.com/Katello/katello/pull/2488
Comment 5 manjiri tapaswi 2013-06-14 11:38:16 EDT
Commit: fc01e13
Comment 7 Corey Welton 2013-10-14 14:40:35 EDT
QA Verified in Satellite-6.0.2-RHEL-6-20131011.0
Comment 9 Bryan Kearney 2014-04-24 13:07:59 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.